<h1 align="center">
	<img width="300" src="https://raw.githubusercontent.com/featureform/embeddings/main/assets/featureform_logo.png" alt="featureform">
	<br>
</h1>

<div align="center">
	<a href="https://github.com/featureform/embeddings/actions"><img src="https://img.shields.io/badge/featureform-workflow-blue?style=for-the-badge&logo=appveyor" alt="Embedding Store workflow"></a>
    <a href="https://pypi.org/project/embeddingstore/" target="_blank"><img src="https://img.shields.io/pypi/dm/embeddingstore?style=for-the-badge&logo=appveyor" alt="PyPi Downloads"></a>
    <a href="https://featureform-community.slack.com/ssb/redirect" target="_blank"><img src="https://img.shields.io/badge/Join-Slack-blue?style=for-the-badge&logo=appveyor" alt="Featureform Slack"></a>
    <br>
    <a href="https://www.python.org/downloads/" target="_blank"><img src="https://img.shields.io/badge/python-3.6%20|%203.7|%203.8-brightgreen.svg" alt="Python supported"></a>
    <a href="https://pypi.org/project/EmbeddingStore/" target="_blank"><img src="https://badge.fury.io/py/EmbeddingStore.svg" alt="PyPi Version"></a>
    <a href="https://www.featureform.com/"><img src="https://img.shields.io/website?url=https%3A%2F%2Fwww.featureform.com%2F?style=for-the-badge&logo=appveyor" alt="featureform Website"></a>  
    <a href="https://twitter.com/featureformML" target="_blank"><img src="https://img.shields.io/twitter/url/http/shields.io.svg?style=social" alt="Twitter"></a>


	
</div>

<div align="center">
    <h3 align="center">
        <a href="https://www.featureform.com/">Website</a>
        <span> | </span>
        <a href="https://docs.featureform.com/v/main/">Docs</a>
        <span> | </span>
        <a href="https://apidocs.featureform.com/">API Docs</a>
        <span> | </span>
        <a href="https://featureform-community.slack.com/ssb/redirect">Community forum</a>
    </h3>
</div>

[Embedding Hub](https://featureform.com/) is an open-source embedding management and storage solution.

## Features
* **Supported Operations**: Run approximate nearest neighbor lookups, average multiple embeddings, partition tables (spaces), cache locally while training, and more.
* **Storage**: Store and index billions vectors embeddings from our storage layer.
* **Versioning**: Create, manage, and rollback different versions of your embeddings.
* **Access Control**: Encode different business logic and user management directly into the embedding hub.
* **Monitoring**: Keep track of how embeddings are being used, latency, throughput, and feature drift over time.


## Try it out

* [Quickstart](https://docs.featureform.com/quickstart)
* [Explore our docs](https://docs.featureform.com/)

## Contributing

* To contribute to Embedding Hub, please check out [Contribution docs](https://github.com/featureform/embeddings/blob/main/CONTRIBUTING.md).
* Welcome to our awesome community, please join our [Slack community](https://featureform-community.slack.com/ssb/redirect).

## Report Issues

Please help us by [reporting any issues](https://github.com/featureform/embeddings/issues/new/choose) you may have while using Embedding Hub.

## License

* [Mozilla Public License Version 2.0](https://github.com/featureform/embeddings/blob/main/LICENSE)